# updateMyDemographics

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PATCH | https://api.thomas.co/v1/profile/demographics |

| Field | Value |
|---|---|
| operationId | updateMyDemographics |
| method | PATCH |
| server | https://api.thomas.co/v1 |
| path | /profile/demographics |
| tags | `My Profile` |
| summary | Update own demographics (self-edit) |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/UpdateDemographicsDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 204 | Demographics updated |  |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
